* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}

:root {
    --accent-color: #e67e22;
    --text-light: #ffffff;
    --midia-padrao-1: #CB3F40;
    --midia-padrao-2: #EBE4DB;
    --midia-padrao-3: #485071;
    --midia-padrao-4: #2C2C2C;
    --transition: all 0.3s ease;
}

body {
    font-family: Montserrat;
    line-height: 1.6;
    color: var(--midia-padrao-4);
    background-color: var(--midia-padrao-2);
    overflow-x: hidden;
}

header {
    background-color: transparent;
    padding: 1rem 5%;
    display: flex;
    justify-content: space-between;
    align-items: center;
    position: absolute;
    width: 100%;
    top: 0;
    z-index: 1000;
}



.logo img {
    width: auto;
    transition: var(--transition);
}

.nav-desktop ul {
    display: flex;
    list-style: none;
}

.nav-desktop ul li {
    margin-left: 25px;
}

.nav-desktop ul li a {
    text-decoration: none;
    color: var(--text-light);
    font-size: 1.25rem;
    font-weight: 100;
    letter-spacing: 1px;
    transition: var(--transition);
}

.nav-desktop ul li a:hover {
    text-decoration: none;
    color: var(--accent-color);
    font-size: 1.25rem;
    font-weight: 100;
    letter-spacing: 1px;
    transition: var(--transition);
}

.menu-toggle {
    display: none;
    cursor: pointer;
    flex-direction: column;
    gap: 6px;
    z-index: 1100;
}

.menu-toggle span {
    width: 30px;
    height: 3px;
    background-color: var(--text-light);
    transition: var(--transition);
}

.mobile-overlay {
    position: fixed;
    top: 0;
    right: -100%;
    width: 100%;
    height: 100vh;
    background-color: var(--midia-padrao-4);
    z-index: 1050;
    transition: 0.4s ease-in-out;
    padding: 80px 40px;
    display: flex;
    flex-direction: column;
}

.mobile-overlay.active {
    right: 0;
}

.close-menu {
    position: absolute;
    top: 25px;
    right: 25px;
    font-size: 30px;
    color: var(--text-light);
    cursor: pointer;
}

.mobile-logo-top {
    width: 40px;
    margin-bottom: 40px;
}

.nav-mobile ul {
    list-style: none;
}

.nav-mobile ul li {
    border-bottom: 1px solid #444;
    padding: 15px 0;
}

.nav-mobile ul li a {
    color: var(--text-light);
    text-decoration: none;
    font-size: 1.2rem;
    font-weight: 100;
    text-transform: uppercase;
    display: block;
}

.hero {
    background-position: center;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    text-align: center;
    color: var(--text-light);
}

.logo-hero {
    width: 500px;
    height: auto;
}

.map-container {
    width: 100%;
    height: 450px;
    margin-top: 10px;
    border-top: 5px solid var(--midia-padrao-3);
    border-bottom: 5px solid var(--midia-padrao-3);
}

.map-container iframe {
    width: 100%;
    height: 100%;
    border: 0;
}

.address-info {
    background: var(--bg-gray);
    padding: 20px;
    text-align: center;
    font-size: 0.9rem;
}

.grid-cards {
    display: grid;
    grid-template-columns: repeat(auto-fit, minmax(200px, 1fr));
    gap: 20px;
    max-width: 1200px;
    margin: 0px auto 0;
}

.section {
    text-align: center;
    padding-top: 10px;
    background-color: var(--midia-padrao-2);
}

.card {
    margin: 30px 20px 30px 20px;
    padding: 13px;
    border-radius: 12px;
    border: 1px solid var(--midia-padrao-4);
    display: flex;
    flex-direction: column;
    align-items: left;
    text-align: left;
    position: relative;
    transition: transform 0.3s ease;
    box-shadow: 0 5px 10px rgba(0, 0, 0, 0.2);
}

.card ul {
    padding-left: 23px;
}

.card.featured {
    border: 2px solid var(--accent-color);
    transform: scale(1.05);
}

.scroll-indicators {
    display: none;
    justify-content: center;
    gap: 8px;
    margin-top: 20px;
}

.indicators {
    display: flex;
    justify-content: center;
    gap: 8px;
    margin-top: 15px;
}

.dot {
    width: 15px;
    height: 15px;
    background-color: #ccc;
    border-radius: 50%;
    transition: var(--transition);
}

.dot.active {
    background-color: var(--midia-padrao-1);
    transform: scale(1.6);
}

.agenda-titulo {
    border-left: 10px solid var(--midia-padrao-1);
    border-bottom: 1px solid var(--midia-padrao-1);
    padding-bottom: 3px;
    padding-top: 4px;
}

.titulo-vermelho {
    font-family: 'League Spartan';
    text-transform: uppercase;
    font-size: 18px;
    font-weight: bold;
    padding-left: 5px;
}

.titulo-vermelho a {
    color: var(--midia-padrao-4);
    text-decoration: none;
}

.prog-desktop {
    display: flex;

}

.prog-mobile {
    display: none;
}

.prog-semanal {
    border-collapse: collapse;
    width: 100%;
    border: 1px;
}

.prog-coluna {
    width: 14.28%;
    border-bottom: 1px solid #acacac;
    border-right: 1px solid #acacac;
    padding: 5px;
    text-align: left;
    font-size: 14px;
}

.prog-coluna-sel {
    width: 14.28%;
    border: 1px solid var(--midia-padrao-3);
    font-weight: bold;
    padding: 5px;
    text-align: left;
    font-size: 14px;
}

.prog-coluna-mob {
    width: 60%;
    border-bottom: 1px solid #acacac;
    padding: 5px;
    text-align: left;
    font-size: 14px;
}


.prog-coluna-mob-sel {
    width: 60%;
    border: 1px solid var(--midia-padrao-3);
    padding: 5px;
    text-align: left;
    font-size: 14px;
    font-weight: bold;
}

.prog-coluna-titulo {
    width: 14.28%;
    border-bottom: 1px solid #acacac;
    border-right: 1px solid #acacac;
    padding: 5px;
    text-align: left;
    font-size: 14px;
    font-weight: bold;
}

.prog-coluna-titulo-sel {
    width: 14.28%;
    border-bottom: 1px solid #acacac;
    border-right: 1px solid #acacac;
    padding: 5px;
    text-align: left;
    font-size: 14px;
    font-weight: bold;
    background-color: var(--midia-padrao-3);
    color: var(--text-light);
}

.prog-coluna-titulo-ult-dir {
    width: 14.28%;
    border-bottom: 1px solid #acacac;
    padding: 5px;
    text-align: left;
    font-size: 14px;
    font-weight: bold;
}

.prog-coluna-titulo-ult-dir-sel {
    width: 14.28%;
    border-bottom: 1px solid #acacac;
    padding: 5px;
    text-align: left;
    font-size: 14px;
    font-weight: bold;
    background-color: var(--midia-padrao-3);
    color: var(--text-light);
}

.prog-coluna-final {
    border-bottom: 1px solid #acacac;
    padding: 5px;
    text-align: left;
    font-size: 14px;
}

.prog-coluna-final-sel {
    border-bottom: 1px solid var(--midia-padrao-3);
    padding: 5px;
    text-align: left;
    font-size: 14px;
    background-color: var(--midia-padrao-3);
    color: var(--text-light);
}
.subnivel {
    padding-left: 20px;
}
.titulosection {
    height: 15vh;
    background-color: var(--midia-padrao-2);
    width: 100%;
    padding-top: 7px;
}

.titulo-descrito {
    font-family: 'League Spartan';
    margin-top: 0px;
    margin-bottom: 0px;
    margin-left: 55px;
    padding-top: 5px;
    padding-left: 40px;
    padding-right: 35px;
    position: absolute;
    border-bottom: 1.5px solid var(--midia-padrao-1);
    border-left: 20px solid var(--midia-padrao-1);
}

.modal-overlay {
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background: rgba(0, 0, 0, 0.8);
    display: none;
    /* Escondido por padrão */
    justify-content: center;
    align-items: center;
    z-index: 1000;
}

/* Mostra o modal quando o link for clicado (usando :target) */
.modal-overlay:target {
    display: flex;
}

/* Caixa onde a imagem fica */
.modal-conteudo {
    position: relative;
    background: white;
    width: 90%;
    height: 85%;
    border-radius: 8px;
    display: flex;
    justify-content: center;
    align-items: center;
    overflow: hidden;
}

.modal-conteudo img {
    max-width: 50%;
    max-height: 50%;
    object-fit: contain;
}


.modal-overlay {
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background: rgba(0, 0, 0, 0.9);
    /* Escureci um pouco mais para dar destaque */
    display: none;
    justify-content: center;
    align-items: center;
    z-index: 99999;
    /* Valor bem alto para ficar na frente de tudo */
}

.modal-overlay:target {
    display: flex;
}

/* Estilo da caixa do PDF - Ajustada para ser maior */
.modal-conteudo.pdf-container {
    position: relative;
    background: white;
    width: 90%;
    height: 85%;
    border-radius: 8px;
    display: flex;
    justify-content: center;
    align-items: center;
    overflow: hidden;
}

/* Botão de fechar (X) */
.btn-fechar {
    position: absolute;
    top: 0px;
    /* Distância do topo da tela */
    right: 0px;
    /* Distância da direita da tela */
    background: #f00;
    color: white !important;
    width: 20px;
    height: 20px;
    border-radius: 50%;
    text-align: center;
    line-height: 20px;
    text-decoration: none;
    font-weight: bold;
    font-size: 30px;
    z-index: 100000;
    /* Um nível acima do overlay */
    box-shadow: 0 0 15px rgba(0, 0, 0, 0.5);
}

.btn-fechar:hover {
    background: #b30000;
    transform: scale(1.1);
}

.btn-leitura {
    text-decoration: none;
    transition: 0.3s;
    padding: 10px;
    margin-bottom: 15px;
    width: 100%;
    display: flex;
    gap: 15px;
    border-color: 1px solid #3f3f3f;
    border-radius: 5px;
    box-shadow: 0 2px 5px rgba(0, 0, 0, 0.3);
    align-items: center;
    font-weight: bold;
    color: var(--midia-padrao-4);
}

.btn-leitura:hover {
    background-color: var(--midia-padrao-3);
    color: #FFF;
}

.btn-leitura a {
    color: #9c9c9c;
}

.btn-leitura a:hover {
    color: #9c9c9c;
}

.leitura {
    text-decoration: none;
    transition: 0.3s;
    padding: 10px;
    margin-bottom: 15px;
    width: 100%;
    display: flex;
    gap: 15px;

    border-radius: 5px;
    box-shadow: 0 2px 5px rgba(0, 0, 0, 0.3);
    align-items: center;
    font-weight: bold;
    color: #ffffff;
    background-color: var(--midia-padrao-1);
}

.leitura:hover {

    color: #FFF;
}

.leitura a {
    color: #9c9c9c;
}

.leitura a:hover {
    color: #9c9c9c;
}


.abertura {
    width: 100%;
    height: 400px;

}

.video-card {
    border-radius: 10px;
    overflow: hidden;
    transition: 0.3s;
    justify-items: center;
    text-align: center;
}

.video-card:hover {
    transform: translateY(-5px);
}

.video-card img {
    width: 100%;
    height: auto;
    display: block;
}

.video-card h3 {
    width: 100%;
    font-family: 'League Spartan';
    text-transform: uppercase;
    height: auto;
    display: block;
    line-height: 22px;
    margin-top: 5px;
}

.btn-submit {
    width: 100%;
    font-family: 'League Spartan';
    background-color: var(--midia-padrao-1);
    color: var(--text-light);
    font-weight: 700;
    padding: 0.7rem;
    border-radius: 0.75rem;
    border: none;
    cursor: pointer;
    transition: background-color 0.2s;
    display: flex;
    align-items: center;
    justify-content: center;
    gap: 0.5rem;
    font-size: 1rem;
    text-decoration: none;
}

.btn-submit:hover {
    text-decoration: none;
    background-color: var(--midia-padrao-3);
}

.btn-submit a {
    text-decoration: none;
    color: var(--text-light);
}

.texto-justificado {
    text-align: justify;
    hyphens: auto;
}

.map-title h2 {
    font-family: 'League Spartan';
    text-transform: uppercase;
    text-align: center;
}

.menu-redes {
    display: flex;
    gap: 5px;
}

.linha-fina {
    border-top: 1px solid var(--midia-padrao-4);
}
.linha-fina-branca {
    border-top: 1px solid var(--text-light);
}

footer {
    background: var(--midia-padrao-4);
    color: var(--text-light);
    padding: 30px;
    text-decoration: none;
}

.footer-links {
    display: grid;
    color: var(--text-light);
    font-weight: 700;
    align-items: center;
    margin-bottom: 15px;
}

.footer-links a {
    text-decoration: none;
    color: var(--text-light);

}

.footer-links a:hover {
    text-decoration: none;
    color: var(--text-light);

}

.footer-icon a {
    text-decoration: none;
    color: var(--text-light);

}

.footer-icon a:hover {
    text-decoration: none;
    color: var(--text-light);

}

.footer-endereco {
    gap: 10px;
    color: var(--text-light);
    align-items: center;
    margin-bottom: 15px;
}

.footer-endereco a {
    text-decoration: none;
    color: var(--text-light);
}

.footer-endereco a:hover {
    text-decoration: none;
    color: var(--text-light);
}

.footer-contato {
    gap: 10px;
    color: var(--text-light);
    align-items: center;
    margin-bottom: 15px;
}

.footer-contato a {
    text-decoration: none;
    color: var(--text-light);
}

.footer-contato a:hover {
    text-decoration: none;
    color: var(--text-light);
}

.footer-dentro {
    display: flex;
    text-decoration: none;
    gap: 10px;
    color: var(--text-light);
    align-items: center;
    width: auto;
}

.footer-titulo {
    gap: 10px;
    color: var(--text-light);
    align-items: center;
    font-family: 'League Spartan';
    text-transform: uppercase;
}

.footer-fim {
    margin-top: 15px;
    font-size: 0.8rem;
}

.footer-email {
    padding-left: 2px;
    display: flex;
    gap: 13px;
    color: var(--text-light);
    align-items: center;
}

.footer-elementos {
    display: flex;
    margin-right: 100px;
    padding-left: 50px;
    gap: 100px;
}

@media (max-width: 768px) {
    .footer-elementos {
        display: grid;
        padding-left: 0px;
        gap: 0px;
    }
    .footer-links {
        display: none;
    }
    .titulosection {
        padding-top: 0px;
        height: 8.5vh;
        background-color: var(--midia-padrao-2);
        width: 100%;
    }
    .titulo-descrito {
        height: 47px;
        font-family: 'League Spartan';
        margin-top: 5px;
        margin-left: 8px;
        margin-right: 5px;
        padding-left: 10px;
        padding-top: 4px;
        padding-right: 8px;
        position: absolute;
        border-bottom: 1.5px solid var(--midia-padrao-1);
        border-left: 15px solid var(--midia-padrao-1);
    }
    .prog-desktop {
        display: none;
    }
    .prog-mobile {
        display: flex;
    }
    .nav-desktop {
        display: none;
    }
    .menu-toggle {
        display: flex;
    }
    .hero {
        font-size: 1.0rem;
    }

    .logo-hero {
        width: 290px;
    }
    .grid-cards {
        display: flex;
        flex-wrap: nowrap;
        overflow-x: auto;
        scroll-snap-type: x mandatory;
        padding: 0px 10px 8px 8px;
        gap: 15px;
        -webkit-overflow-scrolling: touch;
    }
    .card {
        margin: 18px 15px 18px 15px;
        flex: 0 0 85%;
        scroll-snap-align: center;
        box-shadow: 0 5px 10px rgba(0, 0, 0, 0.02);
        transform: scale(1);
    }
    .grid-cards::-webkit-scrollbar {
        display: none;
    }
    .section-localizacao {
        height: 80vh;
        text-align: center;
        padding-top: 10px;
        background-color: var(--midia-padrao-2);
    }
    .scroll-indicators {
        display: flex;
    }
}

@media (min-width: 1024px) {
    .indicators {
        display: none;
    }
}